Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class OriginalPaymentInstruction40

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.OriginalPaymentInstruction40

    public class OriginalPaymentInstruction40
    extends java.lang.Object

Java class for OriginalPaymentInstruction40 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalPaymentInstruction40">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlPmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text"/>
             <element name="OrgnlNbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max15NumericText" minOccurs="0"/>
             <element name="OrgnlCtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}DecimalNumber" minOccurs="0"/>
             <element name="PmtInfSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ExternalPaymentGroupStatus1Code" minOccurs="0"/>
             <element name="StsRsnInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}StatusReasonInformation12" maxOccurs="unbounded" minOccurs="0"/>
             <element name="NbOfTxsPerSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}NumberOfTransactionsPerStatus5" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TxInfAndSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}PaymentTransaction129" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<NumberOfTransactionsPerStatus5>` `nbOfTxsPerSts`
`protected java.math.BigDecimal` `orgnlCtrlSum`
`protected java.lang.String` `orgnlNbOfTxs`
`protected java.lang.String` `orgnlPmtInfId`
`protected java.lang.String` `pmtInfSts`
`protected java.util.List<StatusReasonInformation12>` `stsRsnInf`
`protected java.util.List<PaymentTransaction129>` `txInfAndSts`

### Constructor Summary

Constructors
`OriginalPaymentInstruction40()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<NumberOfTransactionsPerStatus5>` `getNbOfTxsPerSts()` Gets the value of the nbOfTxsPerSts property.
`java.math.BigDecimal` `getOrgnlCtrlSum()` Gets the value of the orgnlCtrlSum property.
`java.lang.String` `getOrgnlNbOfTxs()` Gets the value of the orgnlNbOfTxs property.
`java.lang.String` `getOrgnlPmtInfId()` Gets the value of the orgnlPmtInfId property.
`java.lang.String` `getPmtInfSts()` Gets the value of the pmtInfSts property.
`java.util.List<StatusReasonInformation12>` `getStsRsnInf()` Gets the value of the stsRsnInf property.
`java.util.List<PaymentTransaction129>` `getTxInfAndSts()` Gets the value of the txInfAndSts property.
`void` `setOrgnlCtrlSum​(java.math.BigDecimal value)` Sets the value of the orgnlCtrlSum property.
`void` `setOrgnlNbOfTxs​(java.lang.String value)` Sets the value of the orgnlNbOfTxs property.
`void` `setOrgnlPmtInfId​(java.lang.String value)` Sets the value of the orgnlPmtInfId property.
`void` `setPmtInfSts​(java.lang.String value)` Sets the value of the pmtInfSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgnlPmtInfId

    protected java.lang.String orgnlPmtInfId

#### orgnlNbOfTxs

    protected java.lang.String orgnlNbOfTxs

#### orgnlCtrlSum

    protected java.math.BigDecimal orgnlCtrlSum

#### pmtInfSts

    protected java.lang.String pmtInfSts

#### stsRsnInf

    protected java.util.List<StatusReasonInformation12> stsRsnInf

#### nbOfTxsPerSts

    protected java.util.List<NumberOfTransactionsPerStatus5> nbOfTxsPerSts

#### txInfAndSts

    protected java.util.List<PaymentTransaction129> txInfAndSts

### Constructor Detail

#### OriginalPaymentInstruction40

    public OriginalPaymentInstruction40()

### Method Detail

#### getOrgnlPmtInfId

    public java.lang.String getOrgnlPmtInfId()

Gets the value of the orgnlPmtInfId property.

Returns:
  possible object is `String`

#### setOrgnlPmtInfId

    public void setOrgnlPmtInfId​(java.lang.String value)

Sets the value of the orgnlPmtInfId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlNbOfTxs

    public java.lang.String getOrgnlNbOfTxs()

Gets the value of the orgnlNbOfTxs property.

Returns:
  possible object is `String`

#### setOrgnlNbOfTxs

    public void setOrgnlNbOfTxs​(java.lang.String value)

Sets the value of the orgnlNbOfTxs property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlCtrlSum

    public java.math.BigDecimal getOrgnlCtrlSum()

Gets the value of the orgnlCtrlSum property.

Returns:
  possible object is `BigDecimal`

#### setOrgnlCtrlSum

    public void setOrgnlCtrlSum​(java.math.BigDecimal value)

Sets the value of the orgnlCtrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getPmtInfSts

    public java.lang.String getPmtInfSts()

Gets the value of the pmtInfSts property.

Returns:
  possible object is `String`

#### setPmtInfSts

    public void setPmtInfSts​(java.lang.String value)

Sets the value of the pmtInfSts property.

Parameters:
  `value` - allowed object is `String`

#### getStsRsnInf

    public java.util.List<StatusReasonInformation12> getStsRsnInf()

Gets the value of the stsRsnInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stsRsnInf property.

For example, to add a new item, do as follows:

        getStsRsnInf().add(newItem);

Objects of the following type(s) are allowed in the list `StatusReasonInformation12`

#### getNbOfTxsPerSts

    public java.util.List<NumberOfTransactionsPerStatus5> getNbOfTxsPerSts()

Gets the value of the nbOfTxsPerSts property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the nbOfTxsPerSts property.

For example, to add a new item, do as follows:

        getNbOfTxsPerSts().add(newItem);

Objects of the following type(s) are allowed in the list `NumberOfTransactionsPerStatus5`

#### getTxInfAndSts

    public java.util.List<PaymentTransaction129> getTxInfAndSts()

Gets the value of the txInfAndSts property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the txInfAndSts property.

For example, to add a new item, do as follows:

        getTxInfAndSts().add(newItem);

Objects of the following type(s) are allowed in the list `PaymentTransaction129`